## plasma-widget-kbstate 2.0~svn906377

=== CMakeLists.txt ===
project(plasma-kbstate)

find_package(X11 REQUIRED)

include_directories(X11_INCLUDE_DIR)

set(kbstate_SRCS kbstateapplet.cpp)
kde4_add_plugin(plasma_applet_kbstate ${kbstate_SRCS})
target_link_libraries(plasma_applet_kbstate ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES})
install(TARGETS plasma_applet_kbstate DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-kbstate.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory( images )

=== images/CMakeLists.txt ===
kde4_install_icons( ${DATA_INSTALL_DIR}/kbstateapplet/icons  )

=== debian/changelog ===
plasma-widget-kbstate (2.0~svn906377-0ubuntu8) oneiric; urgency=low

  * Add a build-depend on libx11-dev to fix FTBFS (LP: #832907)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 26 Aug 2011 20:46:44 -0400

plasma-widget-kbstate (2.0~svn906377-0ubuntu7) maverick; urgency=low

  * Add a build-dep on cmake since kdelibs5-dev no longer depends on it
  * Transition from debian-qt-kde.mk to the KDE debhelper sequence
  * Switch packaging to source format 3.0 (quilt):
    - Bump debian/compat to 7
    - Bump debhelpber build-depend version to 7.3.16 or higher
    - Bump pkg-kde-tools build-depend version to 0.5.0 or higher
    - Remove quilt build-dependency
  * Remove now-unnecessary conflicts/replaces on plasmoid-kbstate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 07:12:29 -0400

plasma-widget-kbstate (2.0~svn906377-0ubuntu6) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Fri, 22 May 2009 22:09:30 +0200

plasma-widget-kbstate (2.0~svn906377-0ubuntu5) jaunty; urgency=low

  * Rename plasmoid-* to plasma-widget-* to match upstream naming policy
    - Conflicts/replaces plasmoid-kbstate
    - Adjust package description

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 12 Feb 2009 01:20:46 +0000

plasmoid-kbstate (2.0~svn906377-0ubuntu4) jaunty; urgency=low

  * Rebuild against new libplasma-dev and bump version required to 4.2.0
    to avoid inadvertent builds against the old version on slow archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Jan 2009 22:26:44 -0500

plasmoid-kbstate (2.0~svn906377-0ubuntu3) jaunty; urgency=low

  * Rebuild against new libplasma-dev

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 17 Jan 2009 21:09:06 -0500

plasmoid-kbstate (2.0~svn906377-0ubuntu2) jaunty; urgency=low

  * Update kubuntu_01_add_toplevel_building.diff for new Plasma/Cmake
    requirements
  * Rebuild for late abi change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jan 2009 16:23:51 -0500

plasmoid-kbstate (2.0~svn906377-0ubuntu1) jaunty; urgency=low

  * Initial release. (LP: #289440)
  * Add kubuntu_01_add_toplevel_building.diff to allow the plasmoid to compile
    outside of the KDE source tree.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 05 Jan 2009 19:08:02 -0500

=== debian/control ===
Source: plasma-widget-kbstate
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev (>= 4:4.2.2), libx11-dev
Standards-Version: 3.8.4
Homepage: http://accessibility.kde.org

Package: plasma-widget-kbstate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A plasma widget that shows the state of the modifier keys
 An accessibility plasma widget for KDE4 that shows the user the state of
 modifier keys and enables state changes via the mouse to enhance the usability
 of KDE4 keyboard accesibility tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@


PACKAGE = plasmoid-kbstate
VERSION=$(shell parsechangelog | grep ^Version | awk -F": " '{print $$2}' | cut -d"-" -f1)
REV=$(shell echo $(VERSION) | awk -F"~svn" '{print $$2}')
GOS_TMP=$(CURDIR)/get-orig-source-tmp
TARBALL = $(PACKAGE)_$(VERSION).orig.tar.gz

.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(REV) svn://anonsvn.kde.org/home/kde/trunk/kdereview/plasma/applets/kbstateapplet/ get-orig-source/$(PACKAGE)-$(VERSION)
	tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(VERSION)
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"
